%define	upstream_name	 Mail-Sender
%define upstream_version 0.8.22

%define	_requires_exceptions perl(Win32API::Registry)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module for sending mails with attachments through an SMTP server 
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo "N
" | %make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.22-2.mga3
+ Revision: 369429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.8.22-1.mga3
+ Revision: 342367
- update to 0.8.22

* Thu Jul 05 2012 jquelin <jquelin> 0.8.21-1.mga3
+ Revision: 267999
- update to 0.8.21

* Sat Jan 22 2011 jquelin <jquelin> 0.8.16-2.mga1
+ Revision: 32765
- mageia rebuild
- imported package perl-Mail-Sender

